Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Class ShapeNodeEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
                          org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeNodeEditPart

All Implemented Interfaces:
  EditPart, GraphicalEditPart, IAdaptable, IAdaptableSelection, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart, IGraphicalEditPart, INodeEditPart, INotableEditPart, IPrimaryEditPart, NodeEditPart, NotificationListener, RequestConstants

Direct Known Subclasses:
  AbstractBorderedShapeEditPart, AbstractBorderItemEditPart, AbstractImageEditPart, NoteEditPart

public abstract class ShapeNodeEditPart
extends ShapeEditPart
implements INodeEditPart

the shape node controller

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`AbstractGraphicalEditPart.AccessibleGraphicalEditPart, AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes inherited from class org.eclipse.gef.editparts.AbstractEditPart
`AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
`accessibleEP, elementGuid`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ShapeNodeEditPart(View view)` constructor

Method Summary
`boolean` `canAttachNote()` This will return true if a note can be added as a peer connected by a note attachment to the editpart which will implement this interface.
`protected void` `createDefaultEditPolicies()` Should be overridden to install editpolicies programmatically.
`protected IFigure` `createFigure()`
`protected abstract NodeFigure` `createNodeFigure()` creates a node figure
`protected java.util.List` `getModelSourceConnections()`
`protected java.util.List` `getModelTargetConnections()`
`protected NodeFigure` `getNodeFigure()` getter for the node Figure
`ConnectionAnchor` `getSourceConnectionAnchor(ConnectionEditPart connEditPart)`
`ConnectionAnchor` `getSourceConnectionAnchor(Request request)`
`ConnectionAnchor` `getTargetConnectionAnchor(ConnectionEditPart connEditPart)`
`ConnectionAnchor` `getTargetConnectionAnchor(Request request)`
`protected void` `handleNotificationEvent(Notification notification)` Handles the property changed event.
`java.lang.String` `mapConnectionAnchorToTerminal(ConnectionAnchor c)` Method mapConnectionAnchorToTerminal.
`ConnectionAnchor` `mapTerminalToConnectionAnchor(java.lang.String terminal)` Method mapTerminalToConnectionAnchor.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ShapeEditPart
`getLocation, getPrimaryDragEditPolicy, getSize, refreshBounds, refreshVisuals`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
`getResizableCompartments, getResizableNotationViews, performDirectEditRequest, understandsRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart

`activate, addChild, addListenerFilter, addListenerFilter, addNotationalListeners, addSemanticListeners, basicGetModel, createConnection, createEditPolicies, deactivate, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getAdapter, getChildBySemanticHint, getChildBySemanticHintOnPrimaryView, getChildViewBySemanticHint, getCommand, getContentPaneFor, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getDragTracker, getEditDomain, getEditingDomain, getMapMode, getModel, getModelChildren, getNotationView, getPreferredValue, getPrimaryChildEditPart, getPrimaryView, getResourceManager, getRoot, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, hasNotationView, isCanonical, isEditModeEnabled, isSelectable, notifyChanged, performRequest, reactivateSemanticModel, refresh, refreshBackgroundColor, refreshChild, refreshFont, refreshFontColor, refreshForegroundColor, refreshSourceConnection, refreshTargetConnection, refreshVisibility, registerModel, removeListenerFilter, removeNotationalListeners, removeNotify, removeSemanticListeners, resolveSemanticElement, setBackgroundColor, setFont, setFontColor, setForegroundColor, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, transactionAboutToCommit, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getParent, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, toString, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ShapeNodeEditPart

    public ShapeNodeEditPart(View view)

  constructor

Parameters:
  `view` - the view controlled by this edit part

Method Detail

### getModelSourceConnections

    protected java.util.List getModelSourceConnections()

### getModelTargetConnections

    protected java.util.List getModelTargetConnections()

### createDefaultEditPolicies

    protected void createDefaultEditPolicies()

  Description copied from class: `GraphicalEditPart`
  Should be overridden to install editpolicies programmatically.

  Overrides:
    `createDefaultEditPolicies` in class `ShapeEditPart`

### createFigure

    protected final IFigure createFigure()

  Overrides:
    `createFigure` in class `GraphicalEditPart`

### createNodeFigure

    protected abstract NodeFigure createNodeFigure()

  creates a node figure

  Returns:
    `NodeFigure`

### getNodeFigure

    protected NodeFigure getNodeFigure()

  getter for the node Figure

  Returns:
    `NodeFigure`

### getSourceConnectionAnchor

    public ConnectionAnchor getSourceConnectionAnchor(ConnectionEditPart connEditPart)

  Specified by:
    `getSourceConnectionAnchor` in interface `NodeEditPart`

### getSourceConnectionAnchor

    public ConnectionAnchor getSourceConnectionAnchor(Request request)

  Specified by:
    `getSourceConnectionAnchor` in interface `NodeEditPart`

### getTargetConnectionAnchor

    public ConnectionAnchor getTargetConnectionAnchor(ConnectionEditPart connEditPart)

  Specified by:
    `getTargetConnectionAnchor` in interface `NodeEditPart`

### getTargetConnectionAnchor

    public ConnectionAnchor getTargetConnectionAnchor(Request request)

  Specified by:
    `getTargetConnectionAnchor` in interface `NodeEditPart`

### mapConnectionAnchorToTerminal

    public final java.lang.String mapConnectionAnchorToTerminal(ConnectionAnchor c)

  Description copied from interface: `INodeEditPart`
  Method mapConnectionAnchorToTerminal.

  Specified by:
    `mapConnectionAnchorToTerminal` in interface `INodeEditPart`
  Parameters:
    `c` -
  Returns:
    Anchor
  See Also:
    `INodeEditPart.mapConnectionAnchorToTerminal(ConnectionAnchor)`

### mapTerminalToConnectionAnchor

    public final ConnectionAnchor mapTerminalToConnectionAnchor(java.lang.String terminal)

  Description copied from interface: `INodeEditPart`
  Method mapTerminalToConnectionAnchor.

  Specified by:
    `mapTerminalToConnectionAnchor` in interface `INodeEditPart`
  Parameters:
    `terminal` -
  Returns:
    ConnectionAnchor
  See Also:
    `INodeEditPart.mapTerminalToConnectionAnchor(String)`

### handleNotificationEvent

    protected void handleNotificationEvent(Notification notification)

  Description copied from class: `GraphicalEditPart`
  Handles the property changed event. Clients should override to respond to the specific notification events they are interested. Note: This method may get called on a non-UI thread. Clients should either ensure that their code is thread safe and/or doesn't make unsupported calls (i.e. Display.getCurrent() ) assuming they are on the main thread. Alternatively if this is not possible, then the client can wrap their handler within the Display.synchExec runnable to ensure synchronization and subsequent execution on the main thread.

  Overrides:
    `handleNotificationEvent` in class `ShapeEditPart`
  See Also:
    `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart#handlePropertyChangeEvent(java.beans.PropertyChangeEvent)`

### canAttachNote

    public boolean canAttachNote()

  Description copied from interface: `INotableEditPart`
  This will return true if a note can be added as a peer connected by a note attachment to the editpart which will implement this interface.

  Specified by:
    `canAttachNote` in interface `INotableEditPart`
  Returns:
    True if a note can be attached to it, false otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.